//+------------------------------------------------------------------+
//|                                          OpenCloseSystemV1.2.mq4 |
//|                        Copyright 2019, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2019, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict

extern int     TakeProfit   = 0;
extern int     StopLoss     = 1200;
extern double  Lots         = 0.01;

void OnTick()
{
   static bool IsFisrtTick = true;
   int ticket = 0;
   
   if(Hour()== 0)
   {
      if(IsFisrtTick == true)
      {
         IsFisrtTick = false;
         
 
         if(Close[1] < Open[1])
         {
            ticket = OrderSend(Symbol(), OP_BUY, Lots, Ask, 10, Bid-StopLoss*Point, Bid+TakeProfit*Point, "Set by Open Close System");
            if(ticket < 0)
            Alert("Error Sending Buy Order!");
         }
         else
         {
            ticket = OrderSend(Symbol(), OP_SELL, Lots, Bid, 10, Ask+StopLoss*Point, Ask-TakeProfit*Point, "Set by Open Close System");
            if(ticket < 0)
            Alert("Error Sending Sell Order!");
         
         }

      }
     
   }
   else
   {
      IsFisrtTick = true;
   }
   
}   
   
   
